* This program will set a TSR timer called ALARM1.COM. It defines a window
* of system type in the upper left corner of the screen. NOTE! all time
* has to be in 24 HOUR format.
*
* For on-line help, add the textfile EGGTEXT to FOXHELP.DBF
* See that file for info.
*
*      Have fun...
*
*      Nick Gustavsson     CompuServe 70530,3460
*
************************************************
SET TALK OFF

IF SET("CLOCK") = "OFF"
   m_clock = .T.
   SET CLOCK ON
ELSE
   m_clock = .F.
ENDIF

IF SET("BELL") = "ON"
   m_bell = .T.
   SET BELL OFF
ELSE
   m_bell = .F.
ENDIF

IF .NOT. WEXIST("eggclock")
   DEFINE WINDOW eggclock FROM 1, 0 TO 5, 50 SHADOW IN SCREEN ;
    TITLE "Set Egg Clock" SYSTEM CLOSE FLOAT COLOR SCHEME 8
ENDIF


ACTIVATE WINDOW eggclock

CLEAR
m_ring_1 = SPACE(5)
@ 1, 3 SAY "Input time for the Egg Clock to ring:" GET m_ring_1 PICTURE;
 "99:99"

READ

DEACTIVATE WINDOW eggclock

IF EMPTY(m_ring_1) .OR. LEN(RTRIM(m_ring_1)) < 5
   RETURN
   IF m_clock
      SET CLOCK OFF
   ENDIF
   IF m_bell
      SET BELL ON
   ENDIF
ENDIF

IF LASTKEY() = 27
   CLEAR
   IF m_clock
      SET CLOCK OFF
   ENDIF
   IF m_bell
      SET BELL ON
   ENDIF
   RETURN
ENDIF

m_ring_2 = SUBSTR(m_ring_1,1,2)+SUBSTR(m_ring_1,4,2)

SAVE SCREEN TO m_screen

HIDE WINDOW command

RUN CD\FOXPRO2
RUN ALARM1 &m_ring_2


RESTORE SCREEN FROM m_screen

SHOW WINDOW command

WAIT WINDOW "The Egg Clock is now set for "+m_ring_1 NOWAIT

SET BELL ON
?? CHR(7)
?? CHR(7)
SET BELL OFF

IF m_clock
   SET CLOCK OFF
ENDIF
IF m_bell
   SET BELL ON
ENDIF
RETURN

